[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# TryRomanToInt

Try to convert a roman numeral to an integer value.

## Declaration

Source position: strutils.pp line 186

`function TryRomanToInt(`
`S: string;`
`out N: LongInt;`
`Strictness: TRomanConversionStrictness = rcsRelaxed`
`):Boolean;`

## Description

TryRomanToInt will try to convert the roman numeral in S to an integer and returns the integer value in N. The strictness of the conversion algorithm is determined by Strictness. If the conversion succeeds, then True is returned, or else False.

## See also

TRomanConversionStrictness |  | How to treat invalid roman numerals in TryRomanToInt.
RomanToIntDef |  | Convert a roman numeral to an integer value
RomanToInt |  | Convert a string with a Roman number to it's decimal value.
IntToRoman |  | Represent an integer with roman numerals

Documentation generated on: Feb 26 2014